# RDF-Spezifikationen - FHComplete

Diese Seite beschreibt den Inhalt und die Verwendung aller vorhandenen RDF-Files des FHComplete Systems. Die gesamte RDF-Struktur ist gerade im Aufbau und kann sich deshalb jederzeit ändern. Es sei darauf hingewiesen, dass die RDF-Files von heute, morgen vielleicht gar nicht mehr oder anders zu verwenden sind.
Um die Last auf unseren Servern zu minimieren, empfehlen wir, die Daten 1x pro Monat/Woche/Nacht in ihr eigenes System zu syncronisieren.
Ein Beispiel wie sie die RDFs per PHP auslesen können finden Sie hier

## Student

Aufruf: student.rdf.php?studiengang_kz=...&semester=...&verband=...&gruppe=...&gruppe_kurzbz=...&uid=...&studiensemester_kurzbz=...
Beispiel: student.rdf.php?studiengang_kz=227&semester=1&studiensemester_kurzbz=WS2008&typ=student
Parameter:

- studiengang_kz: Studiengangskennzahl
- studiensemester_kurzbz: Studiensemester (WS2008, SS2009, WS2009,...)
- semester: Semester (optional)
- verband: Verband (optional)
- gruppe: Gruppe (optional)
- gruppe_kurzbz: Spezialgruppen, Module, ... (optional)
- uid: UID eines bestimmten Studenten (Wenn gesetzt werden alle anderen Parameter nicht verwendet)
- typ: Typ der gelieferten Personen (student, prestudent, interressent, bewerber, aufgenommen, warteliste, absage, zgv, reihungstestangeledet, reihungstestnichtangemeldet, absolvent, diplomand)
- prestudent_id: Prestudent_id
- xmlformat: Wenn xmlformat=xml dann wird ein XML statt dem RDF geliefert
- filter: Alle Personen die filter im Nachnamen enthalten

Attribute:

- person_id
- titelpre
- titelpost
- vornamen
- vorname
- nachname
- geburtsdatum
- geburtsdatum_iso
- homepage
- gebort
- gebzeit
- anmerkungen
- anrede
- svnr
- ersatzkennzeichen
- familienstand
- geschlecht
- anzahlkinder
- staatsbuergerschaft
- geburtsnation
- sprache
- status
- orgform
- mail_privat
- mail_intern
- aktiv
- uid
- matrikelnummer
- alias
- semester
- verband
- gruppe
- studiengang_kz_student
- prestudent_id
- studiengang_kz_prestudent
- studiengang_kz
- aufmerksamdurch_kurzbz
- studiengang
- berufstaetigkeit_code
- ausbildungcode
- zgv_code
- zgvort
- zgvdatum
- zgvdatum_iso
- zgvmas_code
- zgvmaort
- zgvmadatum
- zgvmadatum_iso
- aufnahmeschluessel
- facheinschlberuf
- reihungstest_id
- anmeldungreihungstest
- anmeldungreihungstest_iso
- reihungstestangetreten
- punkte
- punkte1
- punkte2
- bismelden
- dual
- dual_bezeichnung
- anmerkungpre

## Lehrstunde

Aufruf: lehrstunde.rdf.php?datum=...&datum_bis=...stg_kz=...&sem=...&ver=...&grp=...&einheit=...
Beispiel: lehrstunde.rdf.php?datum=2006-03-20&type=verband&stg_kz=258
Parameter:

- datum
- datum_bis: Endedatum (optional)
- stunde
- type
- stg_kz
- sem
- ver
- grp
- einheit
- pers_uid
- ort_kurzbz

Attribute:

- datum
- stunde
- unr
- ort_kurzbz
- lehrfach
- lehrfach_bez
- lehrform
- lektor
- semester
- verband
- gruppe
- einheit
- lehrform
- studiengang
- farbe
- anmerkung

## LVInfo

Liefert das RDF fuer die Lehrveranstaltungsinformationen.
Aufruf: lvinfo.rdf.php?stg_kz=...&semester=...
Beispiele:

- lvinfo.rdf.php?stg_kz=258&semester=2
- lvinfo.rdf.php?stg_kz=258&studiensemester_kurzbz=WS2014
- lvinfo.rdf.php?mitarbeiter_uid=pam&studiensemester_kurzbz=WS2014

Standardfilter:

- tbl_lehrveranstaltung.aktiv=true
- tbl_lehrveranstaltung.lehre=true
- tbl_lvinfo.aktiv=true
- tbl_lvinfo.genehmigt=true
tbl_lehreinheitmitarbeiter muss gesetzt sein

Parameter:

- stg_kz - Studiengangskennzahl (optional wenn Mitarbeiter gesetzt)
- studiensemester_kurzbz - Studiensemester (optional)
- mitarbeiter_uid - Lehrbeauftragter (optional wenn Studiengang gesetzt)
- semester - Semester (optional)

Attribute:

- lehrveranstaltung_id
- kurzbz
- bezeichnung
- studiengang_kz
- semester
- lehreverzeichnis
- unterrichtssprache
- ects
- semesterstunden
- sprache
- titel
- lehrziele
- lehrinhalte
- methodik
- voraussetzungen
- unterlagen
- pruefungsordnung
- anmerkungen
- kurzbeschreibung
- orgform_kurzbz
- incoming

## Kontakt

Liefert die Kontaktdaten von Personen
Aufruf:
kontakt.rdf.php?person_id=...
kontakt.rdf.php?kontakt_id=...
Beispiel: kontakt.rdf.php?person_id=5
Parameter:

- person_id oder
- kontakt_id

Attribute:

- kontakt_id
- person_id
- firma_id
- firma_name
- kontakttyp
- anmerkung
- kontakt
- zustellung
- updateamum

## Adressen

Liefert die Adressen von Personen
Aufruf:
adresse.rdf.php?person_id=...
adresse.rdf.php?adresse_id=...
Beispiel: adresse.rdf.php?person_id=5
Parameter:

- person_id oder
- kontakt_id

Attribute:

- adresse_id
- person_id
- name
- strasse
- plz
- ort
- gemeinde
- nation
- typ
- typ_name
- heimatadresse
- zustelladresse
- firma_id
- firma_name
- updateamum

## Lektoren

Liefert die Zuordnung von Mitarbeitern zu Organisationseinheiten (Fachbereich/ Studiengang)
Ein Mitarbeiter ist immer nur einer Organisationseinheit zugeordnet
Aufruf:
lektoren.rdf.php?studiengang_kz=...
lektoren.rdf.php?institut=...
Beispiel: institut.rdf.php?institut=Mechatronics
Parameter:

- studiengang_kz oder
- institut

Attribute:

- uid
- person_id
- anrede
- titelpre
- vorname
- nachname
- titelpost
- email
- fixangestellt